version: v4

globals:
  TEMPLATE: sd15
  CONFIG_NAME: "v1-inference_fp16.yaml"
  CLIP_SKIP: -1
  # use flag like --extra-variable CHECKPOINT_NAME=baseline/stable-diffusion-v15.safetensors to replace this value
  # CHECKPOINT_NAME: "baseline/stable-diffusion-v15.safetensors"
  STEPS: 48
  CFG: 7.0
  SAMPLER: dpmpp_2s_ancestral
  SCHEDULER: karras

examplefiles:
  - file: creature_test_v1
    vars:
      SEED: 100000

  - file: style_punks_test_v1
    vars:
      SEED: 100000
      STEPS: 32
      SAMPLER: euler_ancestral
      SCHEDULER: normal
  - file: style_cores_test_v1
    vars:
      SEED: 100000
      STEPS: 32
      SAMPLER: euler_ancestral
      SCHEDULER: normal
  # Uncomment next sections to get more variants of punks/cores.
  # - file: style_punks_test_v1_n2
  #   vars:
  #     SEED: 200000
  # - file: style_cores_test_v1_n2
  #   vars:
  #     SEED: 200000
  # - file: style_punks_test_v1_n3
  #   vars:
  #     SEED: 300000
  # - file: style_cores_test_v1_n3
  #   vars:
  #     SEED: 300000
  # - file: style_punks_test_v1_n4
  #   vars:
  #     SEED: 400000
  # - file: style_cores_test_v1_n4
  #   vars:
  #     SEED: 400000

  - file: art_styles_test_v1
  - file: detail_keywords_test_v1
  - file: lighting_modes_test_v1
